%define name 		enca
%define major 		0
%define	libname		%mklibname %name %major
%define develname	%mklibname %name -d

Summary:		A program that can detect and convert between character sets
Name: 			enca
Version: 		1.9
Release: 		%mkrel 7
License: 		GPLv2+
Group: 			Text tools
Source: 		http://trific.ath.cx/Ftp/enca/enca-%version.tar.bz2
URL: 			http://trific.ath.cx/software/enca/
BuildRoot: 		%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: 		recode-devel

%description
Enca is an Extremely Naive Charset Analyser. It detects character set and
encoding of text files and can also convert them to other encodings using
either a built-in converter or external libraries and tools like libiconv,
librecode, or cstocs.

Currently, it has support for Belarussian, Bulgarian, Croatian, Czech,
Estonian, Latvian, Lithuanian, Polish, Russian, Slovak, Slovene, and
Ukrainian and some multibyte encodings (mostly variants of Unicode)
independently on the language.

Install Enca if you need to cope with text files of dubious origin
and unknown encoding and convert them to some reasonable encoding.

%package -n %libname
Summary: A library detecting encoding of text files
Group: System/Libraries

%description -n %libname
Enca is an Extremely Naive Charset Analyser. It detects character set and
encoding of text files and can also convert them to other encodings using
either a built-in converter or external libraries and tools like libiconv,
librecode, or cstocs.

Currently, it has support for Belarussian, Bulgarian, Croatian, Czech,
Estonian, Latvian, Lithuanian, Polish, Russian, Slovak, Slovene, and
Ukrainian and some multibyte encodings (mostly variants of Unicode)
independently on the language.

This package contains shared Enca library other programs can make use of.


%package -n %develname
Summary: Header files and libraries for Enca development
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: libenca-devel = %{version}-%{release}
Provides: enca-devel = %{version}-%{release}
Obsoletes: %{mklibname enca 0 -d}

%description -n %develname
The %develname package contains the static libraries and header files
for writing programs using the Extremely Naive Charset Analyser library,
and its API documentation.

Install %develname if you are going to create applications using the Enca
library.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall HTML_DIR=$RPM_BUILD_ROOT/%{_datadir}/gtk-doc/html

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root)
%doc AUTHORS ChangeLog ChangeLog.prelib FAQ NEWS README README.devel THANKS TODO
%{_bindir}/enca
%{_bindir}/enconv
%{_libexecdir}/%{name}/extconv/*
%dir %{_libexecdir}/%{name}/extconv
%dir %{_libexecdir}/%{name}
%{_mandir}/man1/*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libenca.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%{_includedir}/enca.h
%{_libdir}/pkgconfig/enca.pc
%{_libdir}/libenca.a
%{_libdir}/libenca.la
%{_libdir}/libenca.so
%doc %{_datadir}/gtk-doc/html/libenca/*
%doc %dir %{_datadir}/gtk-doc/html/libenca



%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.9-7mdv2009.0
+ Revision: 220724
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.9-6mdv2008.1
+ Revision: 149697
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 19 2007 Adam Williamson <awilliamson@mandriva.com> 1.9-5mdv2008.0
+ Revision: 90163
- rebuild for 2008
- man pages aren't docs
- drop ancient conditionals
- new devel policy
- new license policy
- spec clean

  + Thierry Vignaud <tvignaud@mandriva.com>
    - s/Mandrake/Mandriva/


* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 1.9-4mdv2007.0
+ Revision: 114690
- Import enca

* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 1.9-4mdv2007.1
- Rebuild

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 1.9-3mdk
- rebuild for sparc

* Wed Feb 01 2006 Eskild Hustvedt <eskild@mandriva.org> 1.9-2mdk
- Rebuild for missing package
- Made the spec prettier

* Mon Dec 19 2005 Götz Waschk <waschk@mandriva.org> 1.9-1mdk
- New release 1.9
- use mkrel

* Fri Nov 25 2005 Götz Waschk <waschk@mandriva.org> 1.8-1mdk
- New release 1.8

* Wed Mar 02 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.7-1mdk
- New release 1.7

* Thu Aug 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5-2mdk
- rebuild to fix missing source package

* Tue Jul 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5-1mdk
- initial mdk package

* Tue May 18 2004 David Necas (Yeti) <yeti@physics.muni.cz>
- doubled percents in changelog

